Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
content_analysis
/
phrase_trends
/
live
Content Analysis – Phrase Trends API
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/content_analysis/phrase_trends/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "date_from": "<string>",
  "keyword_fields": {},
  "page_type": [
    "<string>"
  ],
  "search_mode": "<string>",
  "internal_list_limit": 123,
  "date_to": "<string>",
  "date_group": "<string>",
  "initial_dataset_filters": [
    "<string>"
  ],
  "rank_scale": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.type": "<string>",
  "tasks.result.date": "<string>",
  "tasks.result.total_count": 123,
  "tasks.result.rank": 123,
  "tasks.result.top_domains": [
    "<string>"
  ],
  "tasks.result.sentiment_connotations": {},
  "tasks.result.connotation_types": {},
  "tasks.result.text_categories": [
    "<string>"
  ],
  "tasks.result.page_categories": [
    "<string>"
  ],
  "tasks.result.page_types": {},
  "tasks.result.countries": {},
  "tasks.result.languages": {}
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

target keyword required field UTF-8 encoding the keywords will be converted to a lowercase format; Note: to match an exact phrase instead of a stand-alone keyword, use double quotes and backslashes; example: "keyword": ""tesla palo alto"" learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

date_from
string
required

starting date of the time range required field date format: "yyyy-mm-dd" example: "2019-01-15"

keyword_fields
object

target keyword fields and target keywords optional field use this parameter to filter the dataset by keywords that certain fields should contain; fields you can specify: title, main_title, previous_title, snippet you can indicate several fields; Note: to match an exact phrase instead of a stand-alone keyword, use double quotes and backslashes; example: "keyword_fields": { "snippet": ""logitech mouse"", "main_title": "sale" }

page_type
string[]

target page types optional field use this parameter to filter the dataset by page types possible values: "ecommerce", "news", "blogs", "message-boards", "organization"

search_mode
string

results grouping type optional field possible grouping types: as_is – returns data on all citations for the target keyword one_per_domain – returns data on one citation of the keyword per domain default value: as_is

internal_list_limit
integer

maximum number of elements within internal arrays optional field you can use this field to limit the number of elements within the following arrays: top_domains text_categories page_categories countries languages default value: 1 maximum value: 20

date_to
string

ending date of the time range optional field if you don’t specify this field, today’s date will be used by default date format: "yyyy-mm-dd" example: "2019-01-15"

date_group
string

time range which will be used to group the results optional field default value: month possible values: day, week, month

initial_dataset_filters
string[]

initial dataset filtering parameters optional field initial filtering parameters that apply to fields in the Search endpoint; you can add several filters at once (8 filters maximum); you should set a logical operator and, or between the conditions; the following operators are supported: regex, not_regex, , , >, >=, =, , in, not_in, like,not_like, has, has_not, match, not_match you can use the % operator with like and not_like to match any string of zero or more characters; example: ["domain","", "logitech.com"] [["domain","","logitech.com"],"and",["content_info.connotation_types.negative",">",1000]] [["domain","","logitech.com"]], "and", [["content_info.connotation_types.negative",">",1000], "or", ["content_info.text_category","has",10994]]] for more information about filters, please refer to Content Analysis API – Filters learn more about the initial dataset filters in this help center article.

rank_scale
string

defines the scale used for calculating and displaying the rank values optional field you can use this parameter to choose whether rank values are presented on a 0–100 or 0–1000 scale possible values: one_hundred — rank values are displayed on a 0–100 scale one_thousand — rank values are displayed on a 0–1000 scale default value: one_thousand learn more about how this parameter works in this Help Center article

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.type
string

type of element = ‘content_analysis_trends’

tasks.result.date
string

date for which the data is provided

tasks.result.total_count
integer

total number of results in our database relevant to your request

tasks.result.rank
integer

rank of all URLs citing the keyword normalized sum of ranks of all URLs citing the target keyword for the given date

tasks.result.top_domains
string[]

top domains citing the target keyword contains objects with top domains citing the target keyword and citation count per each domain

tasks.result.sentiment_connotations
object

sentiment connotations contains sentiments (emotional reactions) related to the target keyword citation and the number of citations per each sentiment possible connotations: "anger", "happiness", "love", "sadness", "share", "fun"

tasks.result.connotation_types
object

connotation types contains types of sentiments (sentiment polarity) related to the keyword citation and citation count per each sentiment type possible connotation types: "positive", "negative", "neutral"

tasks.result.text_categories
string[]

text categories contains objects with text categories and citation count in each text category to obtain a full list of available categories, refer to the Categories endpoint

tasks.result.page_categories
string[]

page categories contains objects with page categories and citation count in each page category to obtain a full list of available categories, refer to the Categories endpoint

tasks.result.page_types
object

page types contains page types and citation count per each page type

tasks.result.countries
object

countries contains countries and citation count in each country to obtain a full list of available countries, refer to the Locations endpoint

tasks.result.languages
object

languages contains languages and citation count in each language to obtain a full list of available languages, refer to the Languages endpoint